> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geekai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All API Keys

Retrieves a list of all API keys for the current account.


## OpenAPI

````yaml openapi.yaml GET /api_keys
openapi: 3.1.0
info:
  title: GeekAI API Docs
  description: >-
    GeekAI API Specification Document Provides AI capabilities such as chat,
    image generation, speech processing, video generation, ai agents and file
    extract.
  version: 1.0.0
servers:
  - url: https://geekai.dev/api/v1
    description: base URL
security:
  - bearerAuth: []
  - apiKeyAuth: []
paths:
  /api_keys:
    get:
      tags:
        - API_KEY
      summary: Get API Key List
      description: Retrieves a list of all API keys for the current account.
      operationId: listApiKeys
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: List of API keys.
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                          description: UUID
                        name:
                          type: string
                          description: Name
                        value:
                          type: string
                          description: The masked API key value.
                        group:
                          type: object
                          description: Proxy strategy group.
                          properties:
                            name:
                              type: string
                              description: Strategy name.
                            alias:
                              type: string
                              description: Strategy alias.
                            desc:
                              type: string
                              description: Strategy description.
                        credit_limit:
                          type: number
                          description: Credit limit.
                        credit_used:
                          type: number
                          description: Credit used.
                        expired_at:
                          type: string
                          format: date
                          description: Expiration date.
                        expired:
                          type: boolean
                          description: Whether the key has expired.
                        status:
                          type: boolean
                          description: Status. true = enabled, false = disabled.
                        last_used_at:
                          type: string
                          format: date-time
                          description: Last used timestamp.
                        created_at:
                          type: string
                          format: date-time
                          description: Creation timestamp.
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/StandardError'
components:
  responses:
    Unauthorized:
      description: unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                example: unauthorized
              message:
                type: string
                example: invalid api key or token
    StandardError:
      description: standard error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: error code
          example: invalid_request
        message:
          type: string
          description: error message
          example: invalid request
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: token
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: api key

````